{
  "openapi": "3.0.0",
  "info": {
    "title": "Semantic Router Apiserver",
    "description": "HTTP router apiserver for classification utilities, config management, and service introspection",
    "version": "v1"
  },
  "servers": [
    {
      "url": "/",
      "description": "Router Apiserver"
    }
  ],
  "tags": [
    {
      "name": "system",
      "description": "Health, readiness, and API contract discovery."
    },
    {
      "name": "routing",
      "description": "Preview routing behavior without invoking a generation backend."
    },
    {
      "name": "diagnostics",
      "description": "Invoke low-level classifiers, embeddings, NLI, and similarity diagnostics."
    },
    {
      "name": "inventory",
      "description": "Inspect configured and loaded model and classifier resources."
    },
    {
      "name": "observability",
      "description": "Inspect routing replays and metrics, and submit outcome evidence."
    },
    {
      "name": "response-cache",
      "description": "Inspect and manage the response-cache service."
    },
    {
      "name": "context-compression",
      "description": "Inspect, preview, and manage context compression."
    },
    {
      "name": "config",
      "description": "Validate, inspect, apply, version, and roll back Router configuration and Recipes."
    },
    {
      "name": "storage",
      "description": "Manage Router-owned knowledge bases, memories, files, and vector stores."
    }
  ],
  "paths": {
    "/api/v1": {
      "get": {
        "summary": "Progressive API capability discovery",
        "description": "Progressive API capability discovery",
        "operationId": "get_api_v1",
        "tags": [
          "system"
        ],
        "parameters": [
          {
            "name": "view",
            "in": "query",
            "description": "Omit for a compact capability index or use operations to include endpoint metadata.",
            "schema": {
              "type": "string",
              "enum": [
                "index",
                "operations"
              ]
            }
          },
          {
            "name": "capability",
            "in": "query",
            "description": "Return one capability group.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "audience",
            "in": "query",
            "description": "Return operations intended for one caller type.",
            "schema": {
              "type": "string",
              "enum": [
                "agent",
                "operator",
                "client",
                "internal"
              ]
            }
          },
          {
            "name": "plane",
            "in": "query",
            "description": "Return operations from one API plane.",
            "schema": {
              "type": "string",
              "enum": [
                "infrastructure",
                "management",
                "diagnostic",
                "data"
              ]
            }
          },
          {
            "name": "visibility",
            "in": "query",
            "description": "Return primary or advanced operations.",
            "schema": {
              "type": "string",
              "enum": [
                "primary",
                "advanced"
              ]
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "docs.read",
        "x-vllm-sr-sensitivity": "public",
        "x-vllm-sr-plane": "infrastructure",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config": {
      "get": {
        "summary": "Get the current router config as JSON (secrets redacted without secret_view)",
        "description": "Get the current router config as JSON (secrets redacted without secret_view)",
        "operationId": "get_api_v1_config",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "secret_view",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      },
      "patch": {
        "summary": "Compare-and-swap merge of a router config update (validates, backs up, writes, triggers hot-reload)",
        "description": "Compare-and-swap merge of a router config update (validates, backs up, writes, triggers hot-reload)",
        "operationId": "patch_api_v1_config",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "If-Match",
            "in": "header",
            "description": "Required ETag returned by GET /api/v1/config or POST /api/v1/config/plan.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "yaml": {
                    "type": "string"
                  }
                },
                "required": [
                  "yaml"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.write",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "config.patch",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      },
      "put": {
        "summary": "Compare-and-swap replacement of the router config (validates, backs up, writes, triggers hot-reload)",
        "description": "Compare-and-swap replacement of the router config (validates, backs up, writes, triggers hot-reload)",
        "operationId": "put_api_v1_config",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "If-Match",
            "in": "header",
            "description": "Required ETag returned by GET /api/v1/config or POST /api/v1/config/plan.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "yaml": {
                    "type": "string"
                  }
                },
                "required": [
                  "yaml"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.write",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "config.put",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/hash": {
      "get": {
        "summary": "Compare persisted source, generated runtime, and active router config hashes",
        "description": "Compare persisted source, generated runtime, and active router config hashes",
        "operationId": "get_api_v1_config_hash",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "config",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/plan": {
      "post": {
        "summary": "Plan an exact merge or replace mutation, including hot-reload compatibility, without writing it",
        "description": "Plan an exact merge or replace mutation, including hot-reload compatibility, without writing it",
        "operationId": "post_api_v1_config_plan",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "mode": {
                    "type": "string"
                  },
                  "yaml": {
                    "type": "string"
                  }
                },
                "required": [
                  "yaml",
                  "mode"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "config",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/recipes": {
      "get": {
        "summary": "List the default and named routing recipes with their entrypoints",
        "description": "List the default and named routing recipes with their entrypoints",
        "operationId": "get_api_v1_config_recipes",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "secret_view",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/recipes/validate": {
      "post": {
        "summary": "Validate a recipe mutation without writing or reloading config",
        "description": "Validate a recipe mutation without writing or reloading config",
        "operationId": "post_api_v1_config_recipes_validate",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "description": {
                    "type": "string"
                  },
                  "entrypoints": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "name": {
                    "type": "string"
                  },
                  "routing": {
                    "type": "object",
                    "additionalProperties": true
                  }
                },
                "required": [
                  "routing"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "config",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/recipes/{name}": {
      "get": {
        "summary": "Read one routing recipe and its entrypoints",
        "description": "Read one routing recipe and its entrypoints",
        "operationId": "get_api_v1_config_recipes_name",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "description": "name path parameter",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "secret_view",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      },
      "put": {
        "summary": "Atomically create or replace one routing recipe; requires If-Match",
        "description": "Atomically create or replace one routing recipe; requires If-Match",
        "operationId": "put_api_v1_config_recipes_name",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "description": "name path parameter",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "ETag returned by the current recipe or recipe collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "description": {
                    "type": "string"
                  },
                  "entrypoints": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "name": {
                    "type": "string"
                  },
                  "routing": {
                    "type": "object",
                    "additionalProperties": true
                  }
                },
                "required": [
                  "routing"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.write",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "recipe.save",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      },
      "delete": {
        "summary": "Delete an unreferenced named routing recipe; requires If-Match",
        "description": "Delete an unreferenced named routing recipe; requires If-Match",
        "operationId": "delete_api_v1_config_recipes_name",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "description": "name path parameter",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "ETag returned by the current recipe or recipe collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.write",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "recipe.delete",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/rollback": {
      "post": {
        "summary": "Compare-and-swap rollback to a previous router config version",
        "description": "Compare-and-swap rollback to a previous router config version",
        "operationId": "post_api_v1_config_rollback",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "If-Match",
            "in": "header",
            "description": "Required ETag returned by GET /api/v1/config.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "version": {
                    "type": "string"
                  }
                },
                "required": [
                  "version"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.write",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "config.rollback",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/schema": {
      "get": {
        "summary": "Discover the canonical Router configuration contract progressively or return the complete JSON Schema",
        "description": "Discover the canonical Router configuration contract progressively or return the complete JSON Schema",
        "operationId": "get_api_v1_config_schema",
        "tags": [
          "config"
        ],
        "parameters": [
          {
            "name": "view",
            "in": "query",
            "description": "Representation to return. Omit for the compact index; use full for the complete schema.",
            "schema": {
              "type": "string",
              "enum": [
                "full",
                "index",
                "section",
                "surface"
              ]
            }
          },
          {
            "name": "path",
            "in": "query",
            "description": "Dot- or slash-delimited config path required by view=section.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "expanded",
            "in": "query",
            "description": "Return a self-contained JSON Schema for view=section instead of its compact field directory.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "kind",
            "in": "query",
            "description": "Surface kind required by view=surface.",
            "schema": {
              "type": "string",
              "enum": [
                "signal",
                "algorithm",
                "plugin",
                "projection"
              ]
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Registered surface name required by view=surface.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "docs.read",
        "x-vllm-sr-sensitivity": "public",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/validate": {
      "post": {
        "summary": "Validate and normalize a router config without writing it",
        "description": "Validate and normalize a router config without writing it",
        "operationId": "post_api_v1_config_validate",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "yaml": {
                    "type": "string"
                  }
                },
                "required": [
                  "yaml"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "config",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/config/versions": {
      "get": {
        "summary": "List available router config backup versions",
        "description": "List available router config backup versions",
        "operationId": "get_api_v1_config_versions",
        "tags": [
          "config"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "config.read",
        "x-vllm-sr-sensitivity": "config",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "primary"
      }
    },
    "/api/v1/context-compression/capabilities": {
      "get": {
        "summary": "Get context-compression capabilities",
        "description": "Get context-compression capabilities",
        "operationId": "get_api_v1_context_compression_capabilities",
        "tags": [
          "context-compression"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "compression.read",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/context-compression/health": {
      "get": {
        "summary": "Check context-compression runtime health",
        "description": "Check context-compression runtime health",
        "operationId": "get_api_v1_context_compression_health",
        "tags": [
          "context-compression"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "compression.read",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/context-compression/preview": {
      "post": {
        "summary": "Preview context compression without persistence",
        "description": "Preview context compression without persistence",
        "operationId": "post_api_v1_context_compression_preview",
        "tags": [
          "context-compression"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "configuration": {},
                  "context_window": {
                    "type": "integer"
                  },
                  "max_output_tokens": {
                    "type": "integer"
                  },
                  "model": {
                    "type": "string"
                  },
                  "request_body": {},
                  "requested_output_tokens": {
                    "type": "integer"
                  },
                  "trusted_scope_present": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "configuration",
                  "request_body"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "compression.preview",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-audit-action": "compression.preview",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/context-compression/recovery/invalidate": {
      "post": {
        "summary": "Invalidate a trusted context-recovery request scope",
        "description": "Invalidate a trusted context-recovery request scope",
        "operationId": "post_api_v1_context_compression_recovery_invalidate",
        "tags": [
          "context-compression"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "decision": {
                    "type": "string"
                  },
                  "recipe": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "user_id": {
                    "type": "string"
                  }
                },
                "required": [
                  "recipe",
                  "decision",
                  "user_id",
                  "request_id"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "compression.manage",
        "x-vllm-sr-sensitivity": "mutation",
        "x-vllm-sr-audit-action": "compression.recovery.invalidate",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/context-compression/stats": {
      "get": {
        "summary": "Get redacted context-compression statistics",
        "description": "Get redacted context-compression statistics",
        "operationId": "get_api_v1_context_compression_stats",
        "tags": [
          "context-compression"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "compression.read",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "management",
        "x-vllm-sr-audiences": [
          "agent",
          "operator"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/batch": {
      "post": {
        "summary": "Batch classification with configurable task_type parameter",
        "description": "Batch classification with configurable task_type parameter",
        "operationId": "post_api_v1_diagnostics_classify_batch",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      },
                      "include_explanation": {
                        "type": "boolean"
                      },
                      "return_probabilities": {
                        "type": "boolean"
                      }
                    }
                  },
                  "task_type": {
                    "type": "string"
                  },
                  "texts": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  }
                },
                "required": [
                  "texts"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/combined": {
      "post": {
        "summary": "Perform combined classification (intent, PII, and security)",
        "description": "Perform combined classification (intent, PII, and security)",
        "operationId": "post_api_v1_diagnostics_classify_combined",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "intent_options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      },
                      "include_explanation": {
                        "type": "boolean"
                      },
                      "return_probabilities": {
                        "type": "boolean"
                      },
                      "trace": {
                        "type": "boolean"
                      }
                    }
                  },
                  "pii_options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      },
                      "entity_types": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "mask_entities": {
                        "type": "boolean"
                      },
                      "return_positions": {
                        "type": "boolean"
                      },
                      "reveal_entity_text": {
                        "type": "boolean"
                      }
                    }
                  },
                  "security_options": {
                    "type": "object",
                    "properties": {
                      "detection_types": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "include_reasoning": {
                        "type": "boolean"
                      },
                      "sensitivity": {
                        "type": "string"
                      }
                    }
                  },
                  "text": {
                    "type": "string"
                  }
                },
                "required": [
                  "text"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/fact-check": {
      "post": {
        "summary": "Classify if text needs fact-checking",
        "description": "Classify if text needs fact-checking",
        "operationId": "post_api_v1_diagnostics_classify_fact_check",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      }
                    }
                  },
                  "text": {
                    "type": "string"
                  }
                },
                "required": [
                  "text"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/intent": {
      "post": {
        "summary": "Classify user queries into routing categories",
        "description": "Classify user queries into routing categories",
        "operationId": "post_api_v1_diagnostics_classify_intent",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "function_call": {},
                  "functions": {
                    "type": "array",
                    "items": {}
                  },
                  "max_completion_tokens": {},
                  "max_tokens": {},
                  "messages": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "content": {},
                        "function_call": {},
                        "name": {
                          "type": "string"
                        },
                        "reasoning_content": {},
                        "refusal": {},
                        "role": {
                          "type": "string"
                        },
                        "tool_call_id": {
                          "type": "string"
                        },
                        "tool_calls": {
                          "type": "array",
                          "items": {}
                        }
                      },
                      "required": [
                        "role",
                        "content"
                      ]
                    }
                  },
                  "metadata": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "string"
                    }
                  },
                  "model": {
                    "type": "string"
                  },
                  "options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      },
                      "include_explanation": {
                        "type": "boolean"
                      },
                      "return_probabilities": {
                        "type": "boolean"
                      },
                      "trace": {
                        "type": "boolean"
                      }
                    }
                  },
                  "response_format": {},
                  "text": {
                    "type": "string"
                  },
                  "tool_choice": {},
                  "tools": {
                    "type": "array",
                    "items": {}
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/pii": {
      "post": {
        "summary": "Detect personally identifiable information in text",
        "description": "Detect personally identifiable information in text",
        "operationId": "post_api_v1_diagnostics_classify_pii",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      },
                      "entity_types": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "mask_entities": {
                        "type": "boolean"
                      },
                      "return_positions": {
                        "type": "boolean"
                      },
                      "reveal_entity_text": {
                        "type": "boolean"
                      }
                    }
                  },
                  "text": {
                    "type": "string"
                  }
                },
                "required": [
                  "text"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/security": {
      "post": {
        "summary": "Detect jailbreak attempts and security threats",
        "description": "Detect jailbreak attempts and security threats",
        "operationId": "post_api_v1_diagnostics_classify_security",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "options": {
                    "type": "object",
                    "properties": {
                      "detection_types": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "include_reasoning": {
                        "type": "boolean"
                      },
                      "sensitivity": {
                        "type": "string"
                      }
                    }
                  },
                  "text": {
                    "type": "string"
                  }
                },
                "required": [
                  "text"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/classify/user-feedback": {
      "post": {
        "summary": "Classify user feedback type (satisfied, need_clarification, wrong_answer, want_different)",
        "description": "Classify user feedback type (satisfied, need_clarification, wrong_answer, want_different)",
        "operationId": "post_api_v1_diagnostics_classify_user_feedback",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "options": {
                    "type": "object",
                    "properties": {
                      "confidence_threshold": {
                        "type": "number"
                      }
                    }
                  },
                  "text": {
                    "type": "string"
                  }
                },
                "required": [
                  "text"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/embeddings": {
      "post": {
        "summary": "Generate text and image embeddings",
        "description": "Generate text and image embeddings",
        "operationId": "post_api_v1_diagnostics_embeddings",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "dimension": {
                    "type": "integer"
                  },
                  "images": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "latency_priority": {
                    "type": "number"
                  },
                  "model": {
                    "type": "string"
                  },
                  "quality_priority": {
                    "type": "number"
                  },
                  "sequence_length": {
                    "type": "integer"
                  },
                  "target_layer": {
                    "type": "integer"
                  },
                  "texts": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/nli": {
      "post": {
        "summary": "Natural language inference classification for premise and hypothesis pairs",
        "description": "Natural language inference classification for premise and hypothesis pairs",
        "operationId": "post_api_v1_diagnostics_nli",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "hypothesis": {
                    "type": "string"
                  },
                  "premise": {
                    "type": "string"
                  }
                },
                "required": [
                  "premise",
                  "hypothesis"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/similarity": {
      "post": {
        "summary": "Calculate pairwise text similarity",
        "description": "Calculate pairwise text similarity",
        "operationId": "post_api_v1_diagnostics_similarity",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "dimension": {
                    "type": "integer"
                  },
                  "latency_priority": {
                    "type": "number"
                  },
                  "model": {
                    "type": "string"
                  },
                  "quality_priority": {
                    "type": "number"
                  },
                  "target_layer": {
                    "type": "integer"
                  },
                  "text1": {
                    "type": "string"
                  },
                  "text2": {
                    "type": "string"
                  }
                },
                "required": [
                  "text1",
                  "text2"
                ]
              }
            }
          }
        },
        "x-vllm-sr-permission": "classify.invoke",
        "x-vllm-sr-sensitivity": "operational",
        "x-vllm-sr-plane": "diagnostic",
        "x-vllm-sr-audiences": [
          "operator",
          "internal"
        ],
        "x-vllm-sr-stability": "stable",
        "x-vllm-sr-visibility": "advanced"
      }
    },
    "/api/v1/diagnostics/similarity/batch": {
      "post": {
        "summary": "Calculate batch text-similarity matches",
        "description": "Calculate batch text-similarity matches",
        "operationId": "post_api_v1_diagnostics_similarity_batch",
        "tags": [
          "diagnostics"
        ],
        "security": [
          {},
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Request body too large",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "timestamp": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "description": "application/json request payload. Limit: 10485760 bytes.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "candidates": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "dimension": {
                    "type": "integer"
                  },
                  "latency_priority": {
                    "type": "number"
                  },
                  "model": {
                    "type": "string"
                  },
                  "quality_priority": {
[...]
